<?php

namespace Modules\DailyLog\Interfaces;

use Modules\DailyLog\Models\DailyLog;

interface DailyLogRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): DailyLog;
    public function update(array $request, DailyLog $dailyLog): DailyLog;
    public function destroy(DailyLog $dailyLog): void;
    public function destroyAll(array $ids): void;
    public function restore(DailyLog $dailyLog): void;
    public function restoreAll(array $ids): void;
}
